com.holonplatform.json.jackson.internal

## Class JacksonPropertyBoxSerializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonSerializer<com.holonplatform.core.property.PropertyBox>
  - - com.holonplatform.json.jackson.internal.JacksonPropertyBoxSerializer

- All Implemented Interfaces:
    com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitable

      public class JacksonPropertyBoxSerializer
      extends com.fasterxml.jackson.databind.JsonSerializer<com.holonplatform.core.property.PropertyBox>

  Jackson JSON serializer to handle `PropertyBox` serialization
  Since:
    5.0.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonSerializer

      `com.fasterxml.jackson.databind.JsonSerializer.None`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JacksonPropertyBoxSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `serialize(com.holonplatform.core.property.PropertyBox propertyBox, com.fasterxml.jackson.core.JsonGenerator gen, com.fasterxml.jackson.databind.SerializerProvider serializers)`

    - ### Methods inherited from class com.fasterxml.jackson.databind.JsonSerializer

      `acceptJsonFormatVisitor, getDelegatee, handledType, isEmpty, isEmpty, isUnwrappingSerializer, properties, replaceDelegatee, serializeWithType, unwrappingSerializer, usesObjectId, withFilterId`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JacksonPropertyBoxSerializer

          public JacksonPropertyBoxSerializer()

  - ### Method Detail

    - #### serialize

          public void serialize(com.holonplatform.core.property.PropertyBox propertyBox,
                                com.fasterxml.jackson.core.JsonGenerator gen,
                                com.fasterxml.jackson.databind.SerializerProvider serializers)
                         throws IOException,
                                com.fasterxml.jackson.core.JsonProcessingException

      Specified by:
        `serialize` in class `com.fasterxml.jackson.databind.JsonSerializer<com.holonplatform.core.property.PropertyBox>`
      Throws:
        `IOException`
        `com.fasterxml.jackson.core.JsonProcessingException`

Copyright © 2019 The Holon Platform. All rights reserved.